Package org.apache.storm.trident.operation.impl

## Class GroupedMultiReducerExecutor

- java.lang.Object
- - org.apache.storm.trident.operation.impl.GroupedMultiReducerExecutor

- All Implemented Interfaces:
    `Serializable`, `MultiReducer<Map<TridentTuple,​Object>>`

      public class GroupedMultiReducerExecutor
      extends Object
      implements MultiReducer<Map<TridentTuple,​Object>>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroupedMultiReducerExecutor​(GroupedMultiReducer reducer, List<Fields> groupFields, List<Fields> inputFields)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cleanup()` |
    `void` | `complete​(Map<TridentTuple,​Object> state, TridentCollector collector)` |
    `void` | `execute​(Map<TridentTuple,​Object> state, int streamIndex, TridentTuple full, TridentCollector collector)` |
    `Map<TridentTuple,​Object>` | `init​(TridentCollector collector)` |
    `void` | `prepare​(Map<String,​Object> conf, TridentMultiReducerContext context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupedMultiReducerExecutor

          public GroupedMultiReducerExecutor​(GroupedMultiReducer reducer,
                                             List<Fields> groupFields,
                                             List<Fields> inputFields)

  - ### Method Detail

    - #### prepare

          public void prepare​(Map<String,​Object> conf,
                              TridentMultiReducerContext context)

      Specified by:
        `prepare` in interface `MultiReducer<Map<TridentTuple,​Object>>`

    - #### init

          public Map<TridentTuple,​Object> init​(TridentCollector collector)

      Specified by:
        `init` in interface `MultiReducer<Map<TridentTuple,​Object>>`

    - #### execute

          public void execute​(Map<TridentTuple,​Object> state,
                              int streamIndex,
                              TridentTuple full,
                              TridentCollector collector)

      Specified by:
        `execute` in interface `MultiReducer<Map<TridentTuple,​Object>>`

    - #### complete

          public void complete​(Map<TridentTuple,​Object> state,
                               TridentCollector collector)

      Specified by:
        `complete` in interface `MultiReducer<Map<TridentTuple,​Object>>`

    - #### cleanup

          public void cleanup()

      Specified by:
        `cleanup` in interface `MultiReducer<Map<TridentTuple,​Object>>`